Retrieve a Task List
get
/bpm/api/4.0/tasks
Retrieves a task list for the current user.
Request
Query Parameters
-
assignment: string
Task assignees - MY, GROUP, MY_AND_GROUP (default), MY_AND_GROUP_ALL, REPORTEES, OWNER, REVIEWER, PREVIOUS, ALL, ADMIN. MY - Displays tasks that are assigned exclusively to you. GROUP - Displays tasks that are assigned to a group of which you are a member. MY_AND_GROUP -Displays tasks that are assigned to anyone, including you, in the groups you belongs to.This will not fetch tasks that are acquired by some other user in the groups you belong to. MY_AND_GROUP_ALL -Displays tasks that are assigned to anyone, including you, in the groups you belongs to.This will even fetch tasks that are acquired by some other user in the groups you belong to. REPORTEES - Displays tasks that are assigned to reportees of you OWNER - Displays tasks in which you are task owner. REVIEWER -Displays tasks for which you are a reviewer PREVIOUS - Displays tasks that were previously updated by you ALL - No filtering; Displays all tasks regardless of assignment or creator. ADMIN - No filtering; Displays all tasks regardless of assignment or creator.Default Value:
MY_AND_GROUP -
createdBy: string
if provided, only tasks created by the given user are returned
-
dueDateFrom: string
Start of due date range in ISO-8601 format YYYY-MM-DDTHH:MM:SS[.sss]Z
-
dueDateTo: string
End of due date range in ISO-8601 format YYYY-MM-DDTHH:MM:SS[.sss]Z
-
fields: array[string]
Displays only the selected task attributes, which can include createdDate, creator, updatedDate, fromUser, tasknumber, priority,ownerUser, state, approvalDuration,taskDefinitionName, taskNameSpace, taskId, category,assignedDate, dueDate,outcome,ecid, identificationKey
-
fromuser: array[string]
Previous task assignee
-
identificationKey: string
if provided, only tasks with the given task identification key are returned
-
keyword: string
Keyword in task title
-
limit: integer(int32)
Maximum number of items per page, preferably between 1 and 100, default 25. Zero or negative value will render the parameter inapplicable and all results will be returned in single pageDefault Value:
25 -
metadataFlag: boolean
metadataFlag - true or false. if metadataFlag is true, then task details URL is populated.Default Value:
false -
offset: integer(int32)
Index for the first item on a page of list items. Negative value will render the parameter inapplicableDefault Value:
0 -
orderBy: string
Field with which results are to be ordered. Given as orderBy=fieldname:asc/desc, default is asc for ascending.Field Names supported are createdDate, creator, updatedDate, fromUser, tasknumber, priority,ownerUser, state, approvalDuration,taskDefinitionName, taskNameSpace, taskId, category,assignedDate, dueDate,outcome,ecid, identificationKey
-
outcome: string
if provided, only tasks with the given task outcome value are returned
-
pattern: string
If pattern value is set to 'ToDo' then only ToDo tasks are returned.
-
priority: array[string]
Task priority from 1 (highest) to 5 (lowest) or Any (default)
-
showActionFlag: boolean
Show Action - true or false
-
showPermissionFlag: boolean
Show Permission - true or false
-
since: string
Returned items must be created later than the specified time, in ISO-8601 format YYYY-MM-DDTHH:MM:SS[.sss]Z
-
status: array[string]
Task status (Task status COMPLETED is valid when used with following assignments - ADMIN, ALL, PREVIOUS)
-
Default Value:
ASSIGNEDAllowed Values:[ "ASSIGNED", "COMPLETED", "SUSPENDED", "WITHDRAWN", "EXPIRED", "ERRORED", "ALERTED" ]
-
-
totalResults: boolean
Total Result - true or falseDefault Value:
true -
until: string
Returned items must be created before the specified time, in ISO-8601 format YYYY-MM-DDTHH:MM:SS[.sss]Z
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : Collection
Type:
Show Source
object-
count: integer
(int32)
-
hasMore: boolean
Default Value:
false -
items: array
items
-
limit: integer
(int32)
-
links: array
links
-
offset: integer
(int32)
-
totalResult: boolean
Default Value:
false -
totalResults: integer
(int32)
Nested Schema : Task
Type:
Show Source
object-
artifacts: array
artifacts
-
contextId: string
-
final: boolean
Indicates whether the task update is the final update.
-
history: array
history
-
id: string
-
kind: string
Default Value:
task -
metadata: object
metadata
Additional Properties Allowed:
true -
status: object
TaskStatus
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : TaskStatus
Type:
Show Source
object-
message: object
Message
-
state: string
Allowed Values:
[ "submitted", "working", "input-required", "completed", "canceled", "failed", "unknown" ] -
timestamp: string
UTC timestamp string.
Nested Schema : Artifact
Type:
Show Source
object-
append: boolean
-
artifactId: string
-
description: string
-
lastChunk: boolean
-
metadata: object
metadata
Additional Properties Allowed:
true -
name: string
-
parts: array
parts
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : TextPart
Type:
Show Source
object-
kind: string
Default Value:
text -
metadata: object
metadata
Additional Properties Allowed:
true -
text: string
Text content.
-
type: string
Part type.Example:
text
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : Message
Type:
Show Source
object-
contextId: string
Conversation identifier. For `message/stream`, this must be nested under `params.message`.
-
kind: string
Default Value:
message -
messageId: string
-
metadata: object
metadata
Additional Properties Allowed:
true -
parts: array
parts
-
role: string
Allowed Values:
[ "user", "agent" ] -
taskId: string
Optional task identifier used for resumed or task-associated message flows.
Nested Schema : metadata
Type:
objectAdditional Properties Allowed:
trueNested Schema : Link
Type:
Show Source
object-
href(required): string
-
rel(required): string
Allowed Values:
[ "self", "cancel", "forceCancel", "hold", "release", "subscribe", "permissions", "executionStatus" ]
206 Response
Partial Content
400 Response
Bad request
401 Response
Unauthorized
404 Response
Task list not found
500 Response
Internal Server Error